test: _ARBITER_ALTERNATIVE struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _ARBITER_ALTERNATIVE Struct Reference

`#include <arbiter.h>`

List of all members.

## Public Attributes

ULONGLONG | Minimum
ULONGLONG | Maximum
ULONG | Length
ULONG | Alignment
LONG | Priority
ULONG | Flags
PIO_RESOURCE_DESCRIPTOR | Descriptor
ULONG | Reserved [3]

## Member Data Documentation

ULONG _ARBITER_ALTERNATIVE::Alignment

| Definition at line 183 of file arbiter.h. Referenced by ArbBootAllocation(), ArbFindSuitableRange(), ArbGetNextAllocationRange(), and IopPortFindSuitableRange().

PIO_RESOURCE_DESCRIPTOR _ARBITER_ALTERNATIVE::Descriptor

| Definition at line 203 of file arbiter.h. Referenced by ArbAllocateEntry(), ArbpUpdatePriority(), and IopPortIsAliasedRangeAvailable().

ULONG _ARBITER_ALTERNATIVE::Flags

| Definition at line 198 of file arbiter.h. Referenced by ArbAllocateEntry(), ArbBootAllocation(), ArbFindSuitableRange(), ArbGetNextAllocationRange(), ArbpUpdatePriority(), IopPortFindSuitableRange(), and IopPortIsAliasedRangeAvailable().

ULONG _ARBITER_ALTERNATIVE::Length

| Definition at line 178 of file arbiter.h. Referenced by ArbAllocateEntry(), ArbBootAllocation(), ArbFindSuitableRange(), ArbGetNextAllocationRange(), ArbpUpdatePriority(), IopPortFindSuitableRange(), and IopPortIsAliasedRangeAvailable().

ULONGLONG _ARBITER_ALTERNATIVE::Maximum

| Definition at line 173 of file arbiter.h. Referenced by ArbBootAllocation(), ArbGetNextAllocationRange(), ArbpUpdatePriority(), and ArbQueryConflict().

ULONGLONG _ARBITER_ALTERNATIVE::Minimum

| Definition at line 168 of file arbiter.h. Referenced by ArbAllocateEntry(), ArbBootAllocation(), ArbGetNextAllocationRange(), ArbpUpdatePriority(), and ArbQueryConflict().

LONG _ARBITER_ALTERNATIVE::Priority

| Definition at line 189 of file arbiter.h. Referenced by ArbGetNextAllocationRange(), ArbpBuildAllocationStack(), and ArbpUpdatePriority().

ULONG _ARBITER_ALTERNATIVE::Reserved[3]

| Definition at line 208 of file arbiter.h.

The documentation for this struct was generated from the following file:

- arbiter.h